VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Protected Attributes | List of all members
DelegationController Class Reference

`#include <delegationcontroller.h>`

Inheritance diagram for DelegationController:

## Public Member Functions
| DelegationController (IController *controller)
void | valueChanged (CControl *pControl) override
int32_t | controlModifierClicked (CControl *pControl, CButtonState button) override
| return 1 if you want the control to not handle it, otherwise 0 More...
void | controlBeginEdit (CControl *pControl) override
void | controlEndEdit (CControl *pControl) override
void | controlTagWillChange (VSTGUI::CControl *pControl) override
void | controlTagDidChange (VSTGUI::CControl *pControl) override
int32_t | getTagForName (UTF8StringPtr name, int32_t registeredTag) const override
IControlListener * | getControlListener (UTF8StringPtr name) override
CView * | createView (const UIAttributes &attributes, const IUIDescription *description) override
CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description) override
IController * | createSubController (IdStringPtr name, const IUIDescription *description) override
virtual int32_t | getTagForName (UTF8StringPtr name, int32_t registeredTag) const
virtual IControlListener * | getControlListener (UTF8StringPtr controlTagName)
virtual CView * | createView (const UIAttributes &attributes, const IUIDescription *description)
virtual CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description)
virtual IController * | createSubController (UTF8StringPtr name, const IUIDescription *description)
Public Member Functions inherited from IControlListener
virtual | ~IControlListener () noexcept=default
virtual void | valueChanged (CControl *pControl)=0
virtual int32_t | controlModifierClicked (CControl *pControl, CButtonState button)
| return 1 if you want the control to not handle it, otherwise 0 More...
virtual void | controlBeginEdit (CControl *pControl)
virtual void | controlEndEdit (CControl *pControl)
virtual void | controlTagWillChange (CControl *pControl)
virtual void | controlTagDidChange (CControl *pControl)

## Protected Attributes
IController * | controller

## Constructor & Destructor Documentation

## ◆ DelegationController()

DelegationController | ( | IController * | controller | ) |
| inline explicit

## Member Function Documentation

## ◆ controlBeginEdit()

void controlBeginEdit | ( | CControl * | pControl | ) |
| inline override virtual

Reimplemented from IControlListener.

Reimplemented in PadController.

## ◆ controlEndEdit()

void controlEndEdit | ( | CControl * | pControl | ) |
| inline override virtual

Reimplemented from IControlListener.

Reimplemented in PadController.

## ◆ controlModifierClicked()

int32_t controlModifierClicked | ( | CControl * | pControl,
|  | CButtonState | button
| ) |  |
| inline override virtual

return 1 if you want the control to not handle it, otherwise 0

Reimplemented from IControlListener.

## ◆ controlTagDidChange()

void controlTagDidChange | ( | VSTGUI::CControl * | pControl | ) |
| inline override virtual

Reimplemented from IControlListener.

## ◆ controlTagWillChange()

void controlTagWillChange | ( | VSTGUI::CControl * | pControl | ) |
| inline override virtual

Reimplemented from IControlListener.

## ◆ createSubController()

IController * createSubController | ( | IdStringPtr | name,
|  | const IUIDescription * | description
| ) |  |
| inline override virtual

Reimplemented from IController.

## ◆ createView()

CView * createView | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  |
| inline override virtual

Reimplemented from IController.

## ◆ getControlListener()

IControlListener * getControlListener | ( | UTF8StringPtr | name | ) |
| inline override virtual

Reimplemented from IController.

## ◆ getTagForName()

int32_t getTagForName | ( | UTF8StringPtr | name,
|  | int32_t | registeredTag
| ) |  | const
| inline override virtual

Reimplemented from IController.

## ◆ valueChanged()

void valueChanged | ( | CControl * | pControl | ) |
| inline override virtual

Implements IControlListener.

Reimplemented in PadController.

## ◆ verifyView()

CView * verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  |
| inline override virtual

Reimplemented from IController.

Reimplemented in PadController.

## Member Data Documentation

## ◆ controller

IController* controller
| protected

The documentation for this class was generated from the following file:

- delegationcontroller.h